package cn.aibreeze.exam.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class ApiResponse<T> implements Serializable {

    /**
     * 成功编码
     */
    public static final String OK = "Success";

    /**
     * 失败编码
     */
    public static final String FAIL = "Fail";

    private String message;

    private String status;

    private T data;


    public static final <T> ApiResponse<T> ok(final T result) {
        ApiResponse<T> response = new ApiResponse<>();
        response.setStatus(OK);
        response.setData(result);
        response.setMessage("ok");
        return response;
    }

    public static final <T> ApiResponse<T> fail(final String message) {
        ApiResponse<T> response = new ApiResponse<>();
        response.setStatus(FAIL);
        response.setMessage(message);
        return response;
    }
}
